#ifndef PLAY_HPP
#define PLAY_HPP

#include <Basis/Screen.hpp>
#include <AL/al.h>
#include <AL/alut.h>
//This is a basic, empty screen. Fill at your leisure.

class Play : public Screen {
public:
  Play();
  virtual ~Play();
  virtual void draw();
  virtual void update(float elapsed_time);
  virtual void handle_event(SDL_Event const &event);
  struct bad_guy {
    Vector2f pos;
    Vector2f tar;
  };
  struct super_bad {
    int pos;
    int health;
  }boss;

  struct hero{
    int pos;
    int health;
  } you;
   
  float timer;
  bad_guy evils [4];

  Vector2f la_pos;
  Vector2f ra_pos;

  Vector2f la_tar;
  Vector2f ra_tar;

  bool win;
  bool lose;
  
  
};

#endif //PLAY_HPP
